using adas_core.Domain.Models.DTO;
using adas_core.Domain.Models.MongoModels;
using MongoDB.Bson;

namespace adas_core.Application.Services.Interfaces;

public interface IDeviceService
{
    Task<Device?> Create(DeviceDto device);
    Task<bool> Delete(ObjectId objectId);
    Task<Device?> Update(DeviceDto device);
    Task<Device?> ReceiveEvent(DeviceDto device);
}